%{?nodejs_find_provides_and_requires}

Name:           nodejs-uri-path
Version:        1.0.0
Release:        %mkrel 2

Summary:        Convert relative file system paths into safe URI paths
Group:          Development/Other

License:        WTFPL or MIT
URL:            https://www.npmjs.com/package/uri-path
Source0:        https://registry.npmjs.org/uri-path/-/uri-path-%{version}.tgz
BuildArch:      noarch

BuildRequires:  nodejs-packaging

BuildRequires:  npm(mocha)
BuildRequires:  npm(should)


%description
%{summary}.


%prep
%autosetup -n package
rm -rf node_modules


%build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/uri-path
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/uri-path
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%__nodejs -e "require('./')"
%{nodejs_sitelib}/mocha/bin/mocha


%files
%doc README.md CONTRIBUTING.md
%license LICENSE-WTFPL LICENSE-MIT
%{nodejs_sitelib}/uri-path




%changelog
* Mon Feb 20 2017 neoclust <neoclust> 1.0.0-2.mga6
+ Revision: 1087067
- imported package nodejs-uri-path


* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 11 2016 Tom Hughes <tom@compton.nu> - 1.0.0-1
- Initial build of 1.0.0
